
lampadaire_multicolore_002_16f628_Init:

;lampadaire_multicolore_002_16f628.mpas,31 :: 		begin
;lampadaire_multicolore_002_16f628.mpas,32 :: 		CMCON := 7;
	MOVLW      7
	MOVWF      CMCON+0
;lampadaire_multicolore_002_16f628.mpas,33 :: 		OPTION_REG.NOT_RBPU := 0;
	BCF        OPTION_REG+0, 7
;lampadaire_multicolore_002_16f628.mpas,34 :: 		OPTION_REG.T0CS := 0;
	BCF        OPTION_REG+0, 5
;lampadaire_multicolore_002_16f628.mpas,35 :: 		INTCON.GIE := 1;
	BSF        INTCON+0, 7
;lampadaire_multicolore_002_16f628.mpas,36 :: 		INTCON.PEIE := 1;
	BSF        INTCON+0, 6
;lampadaire_multicolore_002_16f628.mpas,37 :: 		INTCON.T0IE := 1;
	BSF        INTCON+0, 5
;lampadaire_multicolore_002_16f628.mpas,38 :: 		INTCON.T0IF := 0;
	BCF        INTCON+0, 2
;lampadaire_multicolore_002_16f628.mpas,39 :: 		TRISA := %00000000;  // PORTA is output
	CLRF       TRISA+0
;lampadaire_multicolore_002_16f628.mpas,40 :: 		PORTA := %00000000;  // "clear" PORTA
	CLRF       PORTA+0
;lampadaire_multicolore_002_16f628.mpas,41 :: 		TRISB := $FF;        // RB0..RB7 as input
	MOVLW      255
	MOVWF      TRISB+0
;lampadaire_multicolore_002_16f628.mpas,42 :: 		PORTB := $FF;        // "clear" portb
	MOVLW      255
	MOVWF      PORTB+0
;lampadaire_multicolore_002_16f628.mpas,43 :: 		iPWMStep := $00;
	CLRF       _iPWMStep+0
;lampadaire_multicolore_002_16f628.mpas,44 :: 		TMR0 := cTMR0;
	MOVLW      48
	MOVWF      TMR0+0
;lampadaire_multicolore_002_16f628.mpas,45 :: 		ArrBtn := $00;
	CLRF       _ArrBtn+0
;lampadaire_multicolore_002_16f628.mpas,46 :: 		bModified := false;
	CLRF       _bModified+0
;lampadaire_multicolore_002_16f628.mpas,47 :: 		iModified := 0;
	CLRF       _iModified+0
	CLRF       _iModified+1
;lampadaire_multicolore_002_16f628.mpas,48 :: 		Out_Save := 1;  // ligh off
	BSF        PORTA+0, 4
;lampadaire_multicolore_002_16f628.mpas,49 :: 		ArrPWM[iOutRed] := 1;
	MOVLW      1
	MOVWF      _ArrPWM+0
;lampadaire_multicolore_002_16f628.mpas,50 :: 		ArrPWM[iOutGreen] := 1;
	MOVLW      1
	MOVWF      _ArrPWM+1
;lampadaire_multicolore_002_16f628.mpas,51 :: 		ArrPWM[iOutBlue] := 1;
	MOVLW      1
	MOVWF      _ArrPWM+2
;lampadaire_multicolore_002_16f628.mpas,52 :: 		end;
	RETURN
; end of lampadaire_multicolore_002_16f628_Init

lampadaire_multicolore_002_16f628_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;lampadaire_multicolore_002_16f628.mpas,55 :: 		begin
;lampadaire_multicolore_002_16f628.mpas,56 :: 		if TestBit(INTCON, T0IF) then
	CLRF       R0+0
	BTFSS      INTCON+0, 2
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt5
	MOVLW      1
	MOVWF      R0+0
L_lampadaire_multicolore_002_16f628_Interrupt5:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt3
;lampadaire_multicolore_002_16f628.mpas,59 :: 		if iPWMStep < PwmMaxVal then
	MOVLW      100
	SUBWF      _iPWMStep+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt7
;lampadaire_multicolore_002_16f628.mpas,60 :: 		inc(iPWMStep)
	INCF       _iPWMStep+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt8
;lampadaire_multicolore_002_16f628.mpas,61 :: 		else
L_lampadaire_multicolore_002_16f628_Interrupt7:
;lampadaire_multicolore_002_16f628.mpas,62 :: 		iPWMStep := PwmMinVal;
	CLRF       _iPWMStep+0
L_lampadaire_multicolore_002_16f628_Interrupt8:
;lampadaire_multicolore_002_16f628.mpas,63 :: 		if ArrPWM[0] > iPWMStep then SetBit(PORTA, 0) else ClearBit(PORTA, 0);
	MOVF       _ArrPWM+0, 0
	SUBWF      _iPWMStep+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt10
	BSF        PORTA+0, 0
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt11
L_lampadaire_multicolore_002_16f628_Interrupt10:
	BCF        PORTA+0, 0
L_lampadaire_multicolore_002_16f628_Interrupt11:
;lampadaire_multicolore_002_16f628.mpas,64 :: 		if ArrPWM[1] > iPWMStep then SetBit(PORTA, 1) else ClearBit(PORTA, 1);
	MOVF       _ArrPWM+1, 0
	SUBWF      _iPWMStep+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt13
	BSF        PORTA+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt14
L_lampadaire_multicolore_002_16f628_Interrupt13:
	BCF        PORTA+0, 1
L_lampadaire_multicolore_002_16f628_Interrupt14:
;lampadaire_multicolore_002_16f628.mpas,65 :: 		if ArrPWM[2] > iPWMStep then SetBit(PORTA, 2) else ClearBit(PORTA, 2);
	MOVF       _ArrPWM+2, 0
	SUBWF      _iPWMStep+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt16
	BSF        PORTA+0, 2
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt17
L_lampadaire_multicolore_002_16f628_Interrupt16:
	BCF        PORTA+0, 2
L_lampadaire_multicolore_002_16f628_Interrupt17:
;lampadaire_multicolore_002_16f628.mpas,77 :: 		if (bModified and (iModified < 65000)) then
	MOVLW      253
	SUBWF      _iModified+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt128
	MOVLW      232
	SUBWF      _iModified+0, 0
L_lampadaire_multicolore_002_16f628_Interrupt128:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       _bModified+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_lampadaire_multicolore_002_16f628_Interrupt19
;lampadaire_multicolore_002_16f628.mpas,78 :: 		inc(iModified);
	INCF       _iModified+0, 1
	BTFSC      STATUS+0, 2
	INCF       _iModified+1, 1
L_lampadaire_multicolore_002_16f628_Interrupt19:
;lampadaire_multicolore_002_16f628.mpas,80 :: 		TMR0 := cTMR0;
	MOVLW      48
	MOVWF      TMR0+0
;lampadaire_multicolore_002_16f628.mpas,81 :: 		ClearBit(INTCON, T0IF);
	BCF        INTCON+0, 2
;lampadaire_multicolore_002_16f628.mpas,82 :: 		end;
L_lampadaire_multicolore_002_16f628_Interrupt3:
;lampadaire_multicolore_002_16f628.mpas,83 :: 		end;
L_lampadaire_multicolore_002_16f628_Interrupt127:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of lampadaire_multicolore_002_16f628_Interrupt

lampadaire_multicolore_002_16f628_PWM_Load:

;lampadaire_multicolore_002_16f628.mpas,88 :: 		begin
;lampadaire_multicolore_002_16f628.mpas,90 :: 		ValTmp := EEProm_Read(0);
	CLRF       FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      PWM_Load_ValTmp+0
;lampadaire_multicolore_002_16f628.mpas,91 :: 		if ValTmp <= 100 then
	MOVF       R0+0, 0
	SUBLW      100
	BTFSS      STATUS+0, 0
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Load23
;lampadaire_multicolore_002_16f628.mpas,92 :: 		ArrPWM[iOutRed] := ValTmp
	MOVF       PWM_Load_ValTmp+0, 0
	MOVWF      _ArrPWM+0
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Load24
;lampadaire_multicolore_002_16f628.mpas,93 :: 		else
L_lampadaire_multicolore_002_16f628_PWM_Load23:
;lampadaire_multicolore_002_16f628.mpas,94 :: 		ArrPWM[iOutRed] := 50;
	MOVLW      50
	MOVWF      _ArrPWM+0
L_lampadaire_multicolore_002_16f628_PWM_Load24:
;lampadaire_multicolore_002_16f628.mpas,95 :: 		ValTmp := EEProm_Read(1);
	MOVLW      1
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      PWM_Load_ValTmp+0
;lampadaire_multicolore_002_16f628.mpas,96 :: 		if ValTmp <= 100 then
	MOVF       R0+0, 0
	SUBLW      100
	BTFSS      STATUS+0, 0
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Load26
;lampadaire_multicolore_002_16f628.mpas,97 :: 		ArrPWM[iOutGreen] := ValTmp
	MOVF       PWM_Load_ValTmp+0, 0
	MOVWF      _ArrPWM+1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Load27
;lampadaire_multicolore_002_16f628.mpas,98 :: 		else
L_lampadaire_multicolore_002_16f628_PWM_Load26:
;lampadaire_multicolore_002_16f628.mpas,99 :: 		ArrPWM[iOutGreen] := 50;
	MOVLW      50
	MOVWF      _ArrPWM+1
L_lampadaire_multicolore_002_16f628_PWM_Load27:
;lampadaire_multicolore_002_16f628.mpas,100 :: 		ValTmp := EEProm_Read(2);
	MOVLW      2
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      PWM_Load_ValTmp+0
;lampadaire_multicolore_002_16f628.mpas,101 :: 		if ValTmp <= 100 then
	MOVF       R0+0, 0
	SUBLW      100
	BTFSS      STATUS+0, 0
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Load29
;lampadaire_multicolore_002_16f628.mpas,102 :: 		ArrPWM[iOutBlue] := ValTmp
	MOVF       PWM_Load_ValTmp+0, 0
	MOVWF      _ArrPWM+2
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Load30
;lampadaire_multicolore_002_16f628.mpas,103 :: 		else
L_lampadaire_multicolore_002_16f628_PWM_Load29:
;lampadaire_multicolore_002_16f628.mpas,104 :: 		ArrPWM[iOutBlue] := 50;
	MOVLW      50
	MOVWF      _ArrPWM+2
L_lampadaire_multicolore_002_16f628_PWM_Load30:
;lampadaire_multicolore_002_16f628.mpas,106 :: 		Out_Save := 0;  // light on
	BCF        PORTA+0, 4
;lampadaire_multicolore_002_16f628.mpas,107 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_lampadaire_multicolore_002_16f628_PWM_Load31:
	DECFSZ     R13+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Load31
	DECFSZ     R12+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Load31
	DECFSZ     R11+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Load31
	NOP
	NOP
;lampadaire_multicolore_002_16f628.mpas,108 :: 		Out_Save := 1;  // light off
	BSF        PORTA+0, 4
;lampadaire_multicolore_002_16f628.mpas,109 :: 		end;
	RETURN
; end of lampadaire_multicolore_002_16f628_PWM_Load

lampadaire_multicolore_002_16f628_PWM_Save:

;lampadaire_multicolore_002_16f628.mpas,112 :: 		begin
;lampadaire_multicolore_002_16f628.mpas,114 :: 		EEProm_Write(0, ArrPWM[iOutRed]);
	CLRF       FARG_EEPROM_Write_address+0
	MOVF       _ArrPWM+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;lampadaire_multicolore_002_16f628.mpas,115 :: 		EEProm_Write(1, ArrPWM[iOutGreen]);
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _ArrPWM+1, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;lampadaire_multicolore_002_16f628.mpas,116 :: 		EEProm_Write(2, ArrPWM[iOutBlue]);
	MOVLW      2
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _ArrPWM+2, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;lampadaire_multicolore_002_16f628.mpas,117 :: 		bModified := false;
	CLRF       _bModified+0
;lampadaire_multicolore_002_16f628.mpas,119 :: 		Out_Save := 0;  // light on
	BCF        PORTA+0, 4
;lampadaire_multicolore_002_16f628.mpas,120 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_lampadaire_multicolore_002_16f628_PWM_Save33:
	DECFSZ     R13+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Save33
	DECFSZ     R12+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Save33
	DECFSZ     R11+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Save33
	NOP
	NOP
;lampadaire_multicolore_002_16f628.mpas,121 :: 		Out_Save := 1;  // light off
	BSF        PORTA+0, 4
;lampadaire_multicolore_002_16f628.mpas,122 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_lampadaire_multicolore_002_16f628_PWM_Save34:
	DECFSZ     R13+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Save34
	DECFSZ     R12+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Save34
	DECFSZ     R11+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Save34
	NOP
	NOP
;lampadaire_multicolore_002_16f628.mpas,123 :: 		Out_Save := 0;  // light on
	BCF        PORTA+0, 4
;lampadaire_multicolore_002_16f628.mpas,124 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_lampadaire_multicolore_002_16f628_PWM_Save35:
	DECFSZ     R13+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Save35
	DECFSZ     R12+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Save35
	DECFSZ     R11+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Save35
	NOP
	NOP
;lampadaire_multicolore_002_16f628.mpas,125 :: 		Out_Save := 1;  // light off
	BSF        PORTA+0, 4
;lampadaire_multicolore_002_16f628.mpas,126 :: 		end;
	RETURN
; end of lampadaire_multicolore_002_16f628_PWM_Save

lampadaire_multicolore_002_16f628_PWM_Inc:

;lampadaire_multicolore_002_16f628.mpas,129 :: 		begin
;lampadaire_multicolore_002_16f628.mpas,130 :: 		if ArrPWM[idx] < PwmMaxVal then
	MOVF       FARG_PWM_Inc_idx+0, 0
	ADDLW      _ArrPWM+0
	MOVWF      FSR
	MOVLW      100
	SUBWF      INDF+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Inc38
;lampadaire_multicolore_002_16f628.mpas,131 :: 		ArrPWM[idx] := ArrPWM[idx] + 1;
	MOVF       FARG_PWM_Inc_idx+0, 0
	ADDLW      _ArrPWM+0
	MOVWF      R1+0
	MOVF       FARG_PWM_Inc_idx+0, 0
	ADDLW      _ArrPWM+0
	MOVWF      FSR
	INCF       INDF+0, 0
	MOVWF      R0+0
	MOVF       R1+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
L_lampadaire_multicolore_002_16f628_PWM_Inc38:
;lampadaire_multicolore_002_16f628.mpas,132 :: 		bModified := true;
	MOVLW      255
	MOVWF      _bModified+0
;lampadaire_multicolore_002_16f628.mpas,133 :: 		iModified := 0;
	CLRF       _iModified+0
	CLRF       _iModified+1
;lampadaire_multicolore_002_16f628.mpas,134 :: 		end;
	RETURN
; end of lampadaire_multicolore_002_16f628_PWM_Inc

lampadaire_multicolore_002_16f628_PWM_Dec:

;lampadaire_multicolore_002_16f628.mpas,137 :: 		begin
;lampadaire_multicolore_002_16f628.mpas,138 :: 		if ArrPWM[idx] > PwmMinVal then
	MOVF       FARG_PWM_Dec_idx+0, 0
	ADDLW      _ArrPWM+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_lampadaire_multicolore_002_16f628_PWM_Dec42
;lampadaire_multicolore_002_16f628.mpas,139 :: 		ArrPWM[idx] := ArrPWM[idx] - 1;
	MOVF       FARG_PWM_Dec_idx+0, 0
	ADDLW      _ArrPWM+0
	MOVWF      R1+0
	MOVF       FARG_PWM_Dec_idx+0, 0
	ADDLW      _ArrPWM+0
	MOVWF      FSR
	DECF       INDF+0, 0
	MOVWF      R0+0
	MOVF       R1+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
L_lampadaire_multicolore_002_16f628_PWM_Dec42:
;lampadaire_multicolore_002_16f628.mpas,140 :: 		bModified := true;
	MOVLW      255
	MOVWF      _bModified+0
;lampadaire_multicolore_002_16f628.mpas,141 :: 		iModified := 0;
	CLRF       _iModified+0
	CLRF       _iModified+1
;lampadaire_multicolore_002_16f628.mpas,142 :: 		end;
	RETURN
; end of lampadaire_multicolore_002_16f628_PWM_Dec

lampadaire_multicolore_002_16f628_Welcome:

;lampadaire_multicolore_002_16f628.mpas,145 :: 		begin
;lampadaire_multicolore_002_16f628.mpas,146 :: 		for i := 0 to 3 do
	CLRF       _i+0
L_lampadaire_multicolore_002_16f628_Welcome46:
;lampadaire_multicolore_002_16f628.mpas,148 :: 		Out_Save := Out_Save xor 1;  // light on / off
	MOVLW      16
	XORWF      PORTA+0, 1
;lampadaire_multicolore_002_16f628.mpas,149 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_lampadaire_multicolore_002_16f628_Welcome50:
	DECFSZ     R13+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_Welcome50
	DECFSZ     R12+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_Welcome50
	DECFSZ     R11+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_Welcome50
	NOP
	NOP
;lampadaire_multicolore_002_16f628.mpas,150 :: 		end;
	MOVF       _i+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_lampadaire_multicolore_002_16f628_Welcome49
	INCF       _i+0, 1
	GOTO       L_lampadaire_multicolore_002_16f628_Welcome46
L_lampadaire_multicolore_002_16f628_Welcome49:
;lampadaire_multicolore_002_16f628.mpas,151 :: 		Out_Save := 1;  // light off
	BSF        PORTA+0, 4
;lampadaire_multicolore_002_16f628.mpas,152 :: 		end;
	RETURN
; end of lampadaire_multicolore_002_16f628_Welcome

_main:

;lampadaire_multicolore_002_16f628.mpas,154 :: 		begin
;lampadaire_multicolore_002_16f628.mpas,155 :: 		Init;
	CALL       lampadaire_multicolore_002_16f628_Init+0
;lampadaire_multicolore_002_16f628.mpas,156 :: 		Delay_ms(200);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main52:
	DECFSZ     R13+0, 1
	GOTO       L__main52
	DECFSZ     R12+0, 1
	GOTO       L__main52
	DECFSZ     R11+0, 1
	GOTO       L__main52
	NOP
	NOP
;lampadaire_multicolore_002_16f628.mpas,157 :: 		Welcome;
	CALL       lampadaire_multicolore_002_16f628_Welcome+0
;lampadaire_multicolore_002_16f628.mpas,158 :: 		PWM_Load;
	CALL       lampadaire_multicolore_002_16f628_PWM_Load+0
;lampadaire_multicolore_002_16f628.mpas,160 :: 		while true do
L__main54:
;lampadaire_multicolore_002_16f628.mpas,164 :: 		if Button(PORTB, 0, 50, 0) and (ArrBtn.0 = 0) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	BTFSC      _ArrBtn+0, 0
	GOTO       L__main129
	BSF        3, 0
	GOTO       L__main130
L__main129:
	BCF        3, 0
L__main130:
	CLRF       R1+0
	BTFSC      3, 0
	INCF       R1+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main59
;lampadaire_multicolore_002_16f628.mpas,166 :: 		if PORTB.7 = 1 then ArrBtn.0 := 1;
	BTFSS      PORTB+0, 7
	GOTO       L__main62
	BSF        _ArrBtn+0, 0
L__main62:
;lampadaire_multicolore_002_16f628.mpas,167 :: 		PWM_Inc(iOutRed);
	CLRF       FARG_PWM_Inc_idx+0
	CALL       lampadaire_multicolore_002_16f628_PWM_Inc+0
;lampadaire_multicolore_002_16f628.mpas,168 :: 		end;
L__main59:
;lampadaire_multicolore_002_16f628.mpas,169 :: 		if (PORTB.0 = 1) then ArrBtn.0 := 0;
	BTFSS      PORTB+0, 0
	GOTO       L__main65
	BCF        _ArrBtn+0, 0
L__main65:
;lampadaire_multicolore_002_16f628.mpas,172 :: 		if Button(PORTB, 1, 50, 0) and (ArrBtn.1 = 0) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	BTFSC      _ArrBtn+0, 1
	GOTO       L__main131
	BSF        3, 0
	GOTO       L__main132
L__main131:
	BCF        3, 0
L__main132:
	CLRF       R1+0
	BTFSC      3, 0
	INCF       R1+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main68
;lampadaire_multicolore_002_16f628.mpas,174 :: 		if PORTB.7 = 1 then ArrBtn.1 := 1;
	BTFSS      PORTB+0, 7
	GOTO       L__main71
	BSF        _ArrBtn+0, 1
L__main71:
;lampadaire_multicolore_002_16f628.mpas,175 :: 		PWM_Dec(iOutRed);
	CLRF       FARG_PWM_Dec_idx+0
	CALL       lampadaire_multicolore_002_16f628_PWM_Dec+0
;lampadaire_multicolore_002_16f628.mpas,176 :: 		end;
L__main68:
;lampadaire_multicolore_002_16f628.mpas,177 :: 		if PORTB.1 = 1 then ArrBtn.1 := 0;
	BTFSS      PORTB+0, 1
	GOTO       L__main74
	BCF        _ArrBtn+0, 1
L__main74:
;lampadaire_multicolore_002_16f628.mpas,180 :: 		if Button(PORTB, 2, 50, 0) and (ArrBtn.2 = 0) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	BTFSC      _ArrBtn+0, 2
	GOTO       L__main133
	BSF        3, 0
	GOTO       L__main134
L__main133:
	BCF        3, 0
L__main134:
	CLRF       R1+0
	BTFSC      3, 0
	INCF       R1+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main77
;lampadaire_multicolore_002_16f628.mpas,182 :: 		if PORTB.7 = 1 then ArrBtn.2 := 1;
	BTFSS      PORTB+0, 7
	GOTO       L__main80
	BSF        _ArrBtn+0, 2
L__main80:
;lampadaire_multicolore_002_16f628.mpas,183 :: 		PWM_Inc(iOutGreen);
	MOVLW      1
	MOVWF      FARG_PWM_Inc_idx+0
	CALL       lampadaire_multicolore_002_16f628_PWM_Inc+0
;lampadaire_multicolore_002_16f628.mpas,184 :: 		end;
L__main77:
;lampadaire_multicolore_002_16f628.mpas,185 :: 		if PORTB.2 = 1 then ArrBtn.2 := 0;
	BTFSS      PORTB+0, 2
	GOTO       L__main83
	BCF        _ArrBtn+0, 2
L__main83:
;lampadaire_multicolore_002_16f628.mpas,188 :: 		if Button(PORTB, 3, 50, 0) and (ArrBtn.3 = 0) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	BTFSC      _ArrBtn+0, 3
	GOTO       L__main135
	BSF        3, 0
	GOTO       L__main136
L__main135:
	BCF        3, 0
L__main136:
	CLRF       R1+0
	BTFSC      3, 0
	INCF       R1+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main86
;lampadaire_multicolore_002_16f628.mpas,190 :: 		if PORTB.7 = 1 then ArrBtn.3 := 1;
	BTFSS      PORTB+0, 7
	GOTO       L__main89
	BSF        _ArrBtn+0, 3
L__main89:
;lampadaire_multicolore_002_16f628.mpas,191 :: 		PWM_Dec(iOutGreen);
	MOVLW      1
	MOVWF      FARG_PWM_Dec_idx+0
	CALL       lampadaire_multicolore_002_16f628_PWM_Dec+0
;lampadaire_multicolore_002_16f628.mpas,192 :: 		end;
L__main86:
;lampadaire_multicolore_002_16f628.mpas,193 :: 		if PORTB.3 = 1 then ArrBtn.3 := 0;
	BTFSS      PORTB+0, 3
	GOTO       L__main92
	BCF        _ArrBtn+0, 3
L__main92:
;lampadaire_multicolore_002_16f628.mpas,196 :: 		if Button(PORTB, 4, 50, 0) and (ArrBtn.4 = 0) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      4
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	BTFSC      _ArrBtn+0, 4
	GOTO       L__main137
	BSF        3, 0
	GOTO       L__main138
L__main137:
	BCF        3, 0
L__main138:
	CLRF       R1+0
	BTFSC      3, 0
	INCF       R1+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main95
;lampadaire_multicolore_002_16f628.mpas,198 :: 		if PORTB.7 = 1 then ArrBtn.4 := 1;
	BTFSS      PORTB+0, 7
	GOTO       L__main98
	BSF        _ArrBtn+0, 4
L__main98:
;lampadaire_multicolore_002_16f628.mpas,199 :: 		PWM_Inc(iOutBlue);
	MOVLW      2
	MOVWF      FARG_PWM_Inc_idx+0
	CALL       lampadaire_multicolore_002_16f628_PWM_Inc+0
;lampadaire_multicolore_002_16f628.mpas,200 :: 		end;
L__main95:
;lampadaire_multicolore_002_16f628.mpas,201 :: 		if PORTB.4 = 1 then ArrBtn.4 := 0;
	BTFSS      PORTB+0, 4
	GOTO       L__main101
	BCF        _ArrBtn+0, 4
L__main101:
;lampadaire_multicolore_002_16f628.mpas,204 :: 		if Button(PORTB, 5, 50, 0) and (ArrBtn.5 = 0) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      5
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	BTFSC      _ArrBtn+0, 5
	GOTO       L__main139
	BSF        3, 0
	GOTO       L__main140
L__main139:
	BCF        3, 0
L__main140:
	CLRF       R1+0
	BTFSC      3, 0
	INCF       R1+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main104
;lampadaire_multicolore_002_16f628.mpas,206 :: 		if PORTB.7 = 1 then ArrBtn.5 := 1;
	BTFSS      PORTB+0, 7
	GOTO       L__main107
	BSF        _ArrBtn+0, 5
L__main107:
;lampadaire_multicolore_002_16f628.mpas,207 :: 		PWM_Dec(iOutBlue);
	MOVLW      2
	MOVWF      FARG_PWM_Dec_idx+0
	CALL       lampadaire_multicolore_002_16f628_PWM_Dec+0
;lampadaire_multicolore_002_16f628.mpas,208 :: 		end;
L__main104:
;lampadaire_multicolore_002_16f628.mpas,209 :: 		if PORTB.5 = 1 then ArrBtn.5 := 0;
	BTFSS      PORTB+0, 5
	GOTO       L__main110
	BCF        _ArrBtn+0, 5
L__main110:
;lampadaire_multicolore_002_16f628.mpas,212 :: 		if Button(PORTB, 6, 50, 0) and (ArrBtn.6 = 0) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      6
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	BTFSC      _ArrBtn+0, 6
	GOTO       L__main141
	BSF        3, 0
	GOTO       L__main142
L__main141:
	BCF        3, 0
L__main142:
	CLRF       R1+0
	BTFSC      3, 0
	INCF       R1+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main113
;lampadaire_multicolore_002_16f628.mpas,214 :: 		ArrBtn.6 := 1;
	BSF        _ArrBtn+0, 6
;lampadaire_multicolore_002_16f628.mpas,215 :: 		if bModified then  // do not save if nothing modified
	MOVF       _bModified+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main116
;lampadaire_multicolore_002_16f628.mpas,216 :: 		PWM_Save;
	CALL       lampadaire_multicolore_002_16f628_PWM_Save+0
L__main116:
;lampadaire_multicolore_002_16f628.mpas,217 :: 		end;
L__main113:
;lampadaire_multicolore_002_16f628.mpas,218 :: 		if PORTB.6 = 1 then ArrBtn.6 := 0;
	BTFSS      PORTB+0, 6
	GOTO       L__main119
	BCF        _ArrBtn+0, 6
L__main119:
;lampadaire_multicolore_002_16f628.mpas,221 :: 		if bModified then
	MOVF       _bModified+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main122
;lampadaire_multicolore_002_16f628.mpas,223 :: 		if iModified >= 65000 then
	MOVLW      253
	SUBWF      _iModified+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main143
	MOVLW      232
	SUBWF      _iModified+0, 0
L__main143:
	BTFSS      STATUS+0, 0
	GOTO       L__main125
;lampadaire_multicolore_002_16f628.mpas,225 :: 		iModified := 0;
	CLRF       _iModified+0
	CLRF       _iModified+1
;lampadaire_multicolore_002_16f628.mpas,226 :: 		PWM_Save;
	CALL       lampadaire_multicolore_002_16f628_PWM_Save+0
;lampadaire_multicolore_002_16f628.mpas,227 :: 		end;
L__main125:
;lampadaire_multicolore_002_16f628.mpas,228 :: 		end;
L__main122:
;lampadaire_multicolore_002_16f628.mpas,229 :: 		end;
	GOTO       L__main54
;lampadaire_multicolore_002_16f628.mpas,230 :: 		end.
	GOTO       $+0
; end of _main
